OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.MemoryAttachment

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVMemoryAttachment :: MonadIO m => m Bool
- gl_NV_memory_attachment :: Bool
- pattern GL_ATTACHED_MEMORY_OBJECT_NV :: GLenum
- pattern GL_ATTACHED_MEMORY_OFFSET_NV :: GLenum
- pattern GL_DETACHED_BUFFERS_NV :: GLenum
- pattern GL_DETACHED_MEMORY_INCARNATION_NV :: GLenum
- pattern GL_DETACHED_TEXTURES_NV :: GLenum
- pattern GL_MAX_DETACHED_BUFFERS_NV :: GLenum
- pattern GL_MAX_DETACHED_TEXTURES_NV :: GLenum
- pattern GL_MEMORY_ATTACHABLE_ALIGNMENT_NV :: GLenum
- pattern GL_MEMORY_ATTACHABLE_NV :: GLenum
- pattern GL_MEMORY_ATTACHABLE_SIZE_NV :: GLenum
- glBufferAttachMemoryNV :: MonadIO m => GLenum -> GLuint -> GLuint64 -> m ()
- glGetMemoryObjectDetachedResourcesuivNV :: MonadIO m => GLuint -> GLenum -> GLint -> GLsizei -> Ptr GLuint -> m ()
- glNamedBufferAttachMemoryNV :: MonadIO m => GLuint -> GLuint -> GLuint64 -> m ()
- glResetMemoryObjectParameterNV :: MonadIO m => GLuint -> GLenum -> m ()
- glTexAttachMemoryNV :: MonadIO m => GLenum -> GLuint -> GLuint64 -> m ()
- glTextureAttachMemoryNV :: MonadIO m => GLuint -> GLuint -> GLuint64 -> m ()

# Extension Support

glGetNVMemoryAttachment :: MonadIO m => m Bool Source #

Is the NV_memory_attachment extension supported?

gl_NV_memory_attachment :: Bool Source #

Is the NV_memory_attachment extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVMemoryAttachment` in those cases instead.

# Enums

pattern GL_ATTACHED_MEMORY_OBJECT_NV :: GLenum Source #

pattern GL_ATTACHED_MEMORY_OFFSET_NV :: GLenum Source #

pattern GL_DETACHED_BUFFERS_NV :: GLenum Source #

pattern GL_DETACHED_MEMORY_INCARNATION_NV :: GLenum Source #

pattern GL_DETACHED_TEXTURES_NV :: GLenum Source #

pattern GL_MAX_DETACHED_BUFFERS_NV :: GLenum Source #

pattern GL_MAX_DETACHED_TEXTURES_NV :: GLenum Source #

pattern GL_MEMORY_ATTACHABLE_ALIGNMENT_NV :: GLenum Source #

pattern GL_MEMORY_ATTACHABLE_NV :: GLenum Source #

pattern GL_MEMORY_ATTACHABLE_SIZE_NV :: GLenum Source #

# Functions

glBufferAttachMemoryNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glGetMemoryObjectDetachedResourcesuivNV Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLenum | `pname`.
-> GLint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `params`.
-> m () |

glNamedBufferAttachMemoryNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glResetMemoryObjectParameterNV Source #

Arguments

:: MonadIO m |
=> GLuint | `memory`.
-> GLenum | `pname`.
-> m () |

glTexAttachMemoryNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |

glTextureAttachMemoryNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLuint | `memory`.
-> GLuint64 | `offset`.
-> m () |